Package org.eclipse.rdf4j.query.parser

## Enum QueryPrologLexer.TokenType

- java.lang.Object
- - java.lang.Enum<QueryPrologLexer.TokenType>
  - - org.eclipse.rdf4j.query.parser.QueryPrologLexer.TokenType

- All Implemented Interfaces:
    `Serializable`, `Comparable<QueryPrologLexer.TokenType>`
  Enclosing class:
    QueryPrologLexer

      public static enum QueryPrologLexer.TokenType
      extends Enum<QueryPrologLexer.TokenType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASE_KEYWORD` |
    `COMMENT` |
    `HASH` |
    `IRI` |
    `LBRACKET` |
    `PREFIX` |
    `PREFIX_KEYWORD` |
    `RBRACKET` |
    `REST_OF_QUERY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QueryPrologLexer.TokenType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static QueryPrologLexer.TokenType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PREFIX_KEYWORD

          public static final QueryPrologLexer.TokenType PREFIX_KEYWORD

    - #### PREFIX

          public static final QueryPrologLexer.TokenType PREFIX

    - #### BASE_KEYWORD

          public static final QueryPrologLexer.TokenType BASE_KEYWORD

    - #### LBRACKET

          public static final QueryPrologLexer.TokenType LBRACKET

    - #### RBRACKET

          public static final QueryPrologLexer.TokenType RBRACKET

    - #### IRI

          public static final QueryPrologLexer.TokenType IRI

    - #### HASH

          public static final QueryPrologLexer.TokenType HASH

    - #### COMMENT

          public static final QueryPrologLexer.TokenType COMMENT

    - #### REST_OF_QUERY

          public static final QueryPrologLexer.TokenType REST_OF_QUERY

  - ### Method Detail

    - #### values

          public static QueryPrologLexer.TokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryPrologLexer.TokenType c : QueryPrologLexer.TokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryPrologLexer.TokenType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null